> For the complete documentation index, see [llms.txt](https://docs.kubchain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kubchain.com/about-kub/connect-to-kub.md).

# Connect to KUB

## KUB Wallet

By default, the [KUB Wallet](https://www.kubwallet.com/) supports the KUB Mainnet. With native support for the KUB Mainnet, you can browse dApps directly in your KUB Wallet application.

{% hint style="info" %}
If you are a developer and want to integrate KUB Wallet into your dApp, follow the guide for the [NEXT SDK](/build-on-kub/libraries-and-sdks/next-sdk.md).
{% endhint %}

## Other wallets

KUB networks can be added as a custom network to any EVM-compatible wallet (i.e., [MetaMask](https://metamask.io/)).

### MetaMask

To add KUB networks as a custom network to MetaMask:

1. Open the MetaMask browser extension.
2. Open the network selection dropdown menu by clicking the dropdown button at the top of the extension.
3. Click the **Add network** button.
4. Click **Add a network manually**.
5. In the **Add a network manually** dialog that appears, enter the following information for the KUB networks:

{% tabs %}
{% tab title="Mainnet" %}

| Name               | Value                     |
| ------------------ | ------------------------- |
| Network Name       | KUB Mainnet               |
| RPC URL            | <https://rpc.kubchain.io> |
| Chain ID           | 96                        |
| Currency Symbol    | KUB                       |
| Block Explorer URL | <https://kubscan.com>     |
| {% endtab %}       |                           |

{% tab title="Testnet" %}

| Name               | Value                             |
| ------------------ | --------------------------------- |
| Network Name       | KUB Testnet                       |
| RPC URL            | <https://rpc-testnet.kubchain.io> |
| Chain ID           | 25925                             |
| Currency Symbol    | tKUB                              |
| Block Explorer URL | <https://testnet.kubscan.com>     |
| {% endtab %}       |                                   |

{% tab title="Layer 2 Mainnet" %}

| Name               | Value                           |
| ------------------ | ------------------------------- |
| Network Name       | KUB Layer 2 Mainnet             |
| RPC URL            | <https://kublayer2.kubchain.io> |
| Chain ID           | 9601                            |
| Currency Symbol    | KUB                             |
| Block Explorer URL | <https://kublayer2.kubscan.com> |
| {% endtab %}       |                                 |

{% tab title="Layer 2 Testnet" %}

| Name               | Value                                   |
| ------------------ | --------------------------------------- |
| Network Name       | KUB Layer 2 Testnet                     |
| RPC URL            | <https://kublayer2.testnet.kubchain.io> |
| Chain ID           | 259251                                  |
| Currency Symbol    | tKUB                                    |
| Block Explorer URL | <https://kublayer2.testnet.kubscan.com> |
| {% endtab %}       |                                         |
| {% endtabs %}      |                                         |

6. Tap the **Save** button to save KUB networks as a network.

You should now be able to connect to the KUB networks by selecting them from the network selection dropdown menu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kubchain.com/about-kub/connect-to-kub.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
